cURL
curl --request GET \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/schemas/{id}/info \
--header 'Authorization: <api-key>'import requests
url = "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/schemas/{id}/info"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/schemas/{id}/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availableServers": [
{
"name": "<string>",
"url": "<string>"
}
],
"schemaMetadata": {
"type": "<string>",
"version": "<string>",
"url": "<string>"
},
"supportedAuthConfigs": [
{
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"id": "<string>",
"title": "<string>"
}{
"code": "<string>",
"message": "<string>",
"extensions": {}
}schemas
Get organisations schemas info
GetSchemaInfo returns information about a schema. This replaces the deprecated operation SchemaInfo.
GET
/
organisations
/
{organisationId}
/
schemas
/
{id}
/
info
cURL
Authorizations
Path Parameters
OrganisationID is the ID of the organisation that the schema belongs to.
ID is the schema identifier
Response
GetSchemaInfoResponse is the request body for getting the schema info of an existing Schema.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
SupportedAuthConfigs is a list of authentication standards which can be used to connect a user's account to this app. At least one auth type needs to be valid for the App to be used by a user.
Show child attributes
Show child attributes
The ID of the Schema record if it is stored.
Title is calculated from the parsed schema. Not all schemas contain this information so may be null.
⌘I